﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_use_params
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Display zero or more values.
        private void ShowValues(params string[] values)
        {
            lstValues.Items.Clear();
            foreach (string value in values)
            {
                lstValues.Items.Add(value);
            }
        }

        private void btn0_Click(object sender, EventArgs e)
        {
            ShowValues();
        }

        private void btn3_Click(object sender, EventArgs e)
        {
            ShowValues("Red", "Green", "Blue");
        }

        private void btn5_Click(object sender, EventArgs e)
        {
            ShowValues("Aardvark", "Bear", "Cantalope", "Dingo", "Eagle");
        }

    }
}
